<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.8" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JFrameFormInfo">
  <NonVisualComponents>
    <Container class="javax.swing.JPopupMenu" name="popupTable">
      <Events>
        <EventHandler event="popupMenuWillBecomeVisible" listener="javax.swing.event.PopupMenuListener" parameters="javax.swing.event.PopupMenuEvent" handler="popupTablePopupMenuWillBecomeVisible"/>
      </Events>

      <Layout class="org.netbeans.modules.form.compat2.layouts.DesignAbsoluteLayout">
        <Property name="useNullLayout" type="boolean" value="true"/>
      </Layout>
      <SubComponents>
        <MenuItem class="javax.swing.JMenuItem" name="jMenuNodeDetails">
          <Properties>
            <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
              <ResourceString bundle="resources/MessagesBundle.properties" key="table_popup_details" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuNodeDetailsActionPerformed"/>
          </Events>
        </MenuItem>
        <MenuItem class="javax.swing.JMenuItem" name="jMenuWhois">
          <Properties>
            <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
              <ResourceString bundle="resources/MessagesBundle.properties" key="table_popup_whois" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuWhoisActionPerformed"/>
          </Events>
        </MenuItem>
        <MenuItem class="javax.swing.JMenuItem" name="jMenuTesting">
          <Properties>
            <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
              <ResourceString bundle="resources/MessagesBundle.properties" key="table_popup_begintest" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuTestingActionPerformed"/>
          </Events>
        </MenuItem>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JMenuItem" name="jMenuItemGUI">
      <Properties>
        <Property name="background" type="java.awt.Color" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
          <Connection code="new Color(jMenuBar.getBackground().getRGB())" type="code"/>
        </Property>
        <Property name="foreground" type="java.awt.Color" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
          <Connection code="new Color(jMenuBar.getForeground().getRGB())" type="code"/>
        </Property>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="resources/MessagesBundle.properties" key="traymenu_showgui" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemGUIActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JMenuItem" name="jMenuItemQuitx">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="resources/MessagesBundle.properties" key="menu_quit" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemQuitxActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.ButtonGroup" name="buttonGroupProxy">
    </Component>
    <Component class="javax.swing.ButtonGroup" name="buttonGroupProxyTray">
    </Component>
    <Component class="javax.swing.JCheckBoxMenuItem" name="jCheckTrayProxyDisable">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="resources/MessagesBundle.properties" key="combo_proxymode1" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="itemStateChanged" listener="java.awt.event.ItemListener" parameters="java.awt.event.ItemEvent" handler="jCheckTrayProxyDisableItemStateChanged"/>
      </Events>
    </Component>
    <Component class="javax.swing.JCheckBoxMenuItem" name="jCheckTrayProxyByPattern">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="resources/MessagesBundle.properties" key="combo_proxymode2" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="itemStateChanged" listener="java.awt.event.ItemListener" parameters="java.awt.event.ItemEvent" handler="jCheckTrayProxyByPatternItemStateChanged"/>
      </Events>
    </Component>
    <Component class="javax.swing.JCheckBoxMenuItem" name="jCheckTrayProxyAll">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="resources/MessagesBundle.properties" key="combo_proxymode3" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="itemStateChanged" listener="java.awt.event.ItemListener" parameters="java.awt.event.ItemEvent" handler="jCheckTrayProxyAllItemStateChanged"/>
      </Events>
    </Component>
    <Menu class="javax.swing.JMenuBar" name="jMenuBar">
      <SubComponents>
        <Menu class="javax.swing.JMenu" name="jMenuMenu">
          <Properties>
            <Property name="mnemonic" type="int" editor="org.netbeans.modules.i18n.form.FormI18nMnemonicEditor">
              <ResourceString bundle="resources/MessagesBundle.properties" key="menu_menu" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
            </Property>
            <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
              <ResourceString bundle="resources/MessagesBundle.properties" key="menu_menu" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
            </Property>
          </Properties>
          <SubComponents>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItemPrefs">
              <Properties>
                <Property name="mnemonic" type="int" value="80"/>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="menu_prefs" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemPrefsActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItemAddPattern">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="menu_quickadd" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemAddPatternActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItemPatternEdit">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="menu_patternedit" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemPatternEditActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItemStdout">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="menu_tormonitor" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemStdoutActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItemExport">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="menu_export" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemExportActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItemImport">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="menu_import" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemImportActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItemGeoip">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="menu_geoip" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemGeoipActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItemQuit">
              <Properties>
                <Property name="mnemonic" type="int" value="81"/>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="menu_quit" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemQuitActionPerformed"/>
              </Events>
            </MenuItem>
          </SubComponents>
        </Menu>
        <Menu class="javax.swing.JMenu" name="jMenuProxy">
          <Properties>
            <Property name="mnemonic" type="int" editor="org.netbeans.modules.i18n.form.FormI18nMnemonicEditor">
              <ResourceString bundle="resources/MessagesBundle.properties" key="menu_proxy" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
            </Property>
            <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
              <ResourceString bundle="resources/MessagesBundle.properties" key="menu_proxy" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
            </Property>
          </Properties>
          <SubComponents>
            <MenuItem class="javax.swing.JCheckBoxMenuItem" name="jCheckProxyDisable">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="combo_proxymode1" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="itemStateChanged" listener="java.awt.event.ItemListener" parameters="java.awt.event.ItemEvent" handler="jCheckProxyDisableItemStateChanged"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JCheckBoxMenuItem" name="jCheckProxyByPattern">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="combo_proxymode2" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="itemStateChanged" listener="java.awt.event.ItemListener" parameters="java.awt.event.ItemEvent" handler="jCheckProxyByPatternItemStateChanged"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JCheckBoxMenuItem" name="jCheckProxyAll">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="combo_proxymode3" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="itemStateChanged" listener="java.awt.event.ItemListener" parameters="java.awt.event.ItemEvent" handler="jCheckProxyAllItemStateChanged"/>
              </Events>
            </MenuItem>
          </SubComponents>
        </Menu>
        <Menu class="javax.swing.JMenu" name="jMenuHelp">
          <Properties>
            <Property name="mnemonic" type="int" editor="org.netbeans.modules.i18n.form.FormI18nMnemonicEditor">
              <ResourceString bundle="resources/MessagesBundle.properties" key="menu_help" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
            </Property>
            <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
              <ResourceString bundle="resources/MessagesBundle.properties" key="menu_help" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
            </Property>
          </Properties>
          <SubComponents>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItemDebugLog">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="menu_debuglog" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemDebugLogActionPerformed"/>
              </Events>
              <AuxValues>
                <AuxValue name="JavaCodeGenerator_InitCodePre" type="java.lang.String" value="jMenuItemDebugLog.setVisible(false);"/>
              </AuxValues>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItemHelp">
              <Properties>
                <Property name="mnemonic" type="int" value="67"/>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="menu_helpcontents" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemHelpActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItemTorMan">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="menu_tormanual" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemTorManActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItemTorCheck">
              <Properties>
                <Property name="mnemonic" type="int" value="84"/>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="menu_torcheck" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemTorCheckActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItemAbout">
              <Properties>
                <Property name="mnemonic" type="int" value="65"/>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="menu_about" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemAboutActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItemLicense">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="menu_license" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItemLicenseActionPerformed"/>
              </Events>
            </MenuItem>
          </SubComponents>
        </Menu>
      </SubComponents>
    </Menu>
  </NonVisualComponents>
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="0"/>
    <Property name="resizable" type="boolean" value="false"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="menuBar" type="java.lang.String" value="jMenuBar"/>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="false"/>
  </SyntheticProperties>
  <Events>
    <EventHandler event="windowClosing" listener="java.awt.event.WindowListener" parameters="java.awt.event.WindowEvent" handler="formWindowClosing"/>
  </Events>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Component id="jPanelMain" min="-2" max="-2" attributes="0"/>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Component id="jPanelMain" max="32767" attributes="0"/>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Container class="javax.swing.JPanel" name="jPanelMain">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.modules.form.editors2.FontEditor">
          <FontInfo relative="true">
            <Font bold="true" component="jPanelMain" property="font" relativeSize="true" size="1"/>
          </FontInfo>
        </Property>
      </Properties>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace min="-2" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="jLabStatus" alignment="0" max="32767" attributes="0"/>
                      <Component id="jScrollPaneExitNodes" alignment="0" max="32767" attributes="0"/>
                      <Component id="jPanelNodeInfo" max="32767" attributes="0"/>
                      <Group type="102" attributes="0">
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Group type="102" alignment="0" attributes="0">
                                  <Component id="jComboCountry" min="-2" pref="260" max="-2" attributes="0"/>
                                  <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                  <Component id="jButtonSetGuards" min="-2" max="-2" attributes="0"/>
                                  <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                  <Component id="jButtonClearFavs" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <Component id="jLabelCountry" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                      </Group>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" max="-2" attributes="0"/>
                  <Component id="jLabelCountry" min="-2" max="-2" attributes="0"/>
                  <EmptySpace min="-2" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jComboCountry" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="jButtonSetGuards" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="jButtonClearFavs" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace min="-2" max="-2" attributes="0"/>
                  <Component id="jScrollPaneExitNodes" pref="182" max="32767" attributes="0"/>
                  <EmptySpace min="-2" max="-2" attributes="0"/>
                  <Component id="jPanelNodeInfo" min="-2" max="-2" attributes="0"/>
                  <EmptySpace min="-2" max="-2" attributes="0"/>
                  <Component id="jLabStatus" min="-2" max="-2" attributes="0"/>
                  <EmptySpace min="-2" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JLabel" name="jLabelCountry">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.modules.form.editors2.FontEditor">
              <FontInfo relative="true">
                <Font bold="true" component="jLabelCountry" property="font" relativeSize="true" size="0"/>
              </FontInfo>
            </Property>
            <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
              <ResourceString bundle="resources/MessagesBundle.properties" key="label_activecountry" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JComboBox" name="jComboCountry">
          <Events>
            <EventHandler event="itemStateChanged" listener="java.awt.event.ItemListener" parameters="java.awt.event.ItemEvent" handler="jComboCountryItemStateChanged"/>
          </Events>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_CreateCodeCustom" type="java.lang.String" value="new javax.swing.JComboBox&lt;&gt;()"/>
            <AuxValue name="JavaCodeGenerator_TypeParameters" type="java.lang.String" value="&lt;String&gt;"/>
          </AuxValues>
        </Component>
        <Container class="javax.swing.JScrollPane" name="jScrollPaneExitNodes">
          <AuxValues>
            <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
          </AuxValues>

          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
          <SubComponents>
            <Component class="javax.swing.JTable" name="jTableExitNodes">
              <Properties>
                <Property name="autoCreateRowSorter" type="boolean" value="true"/>
                <Property name="model" type="javax.swing.table.TableModel" editor="org.netbeans.modules.form.editors2.TableModelEditor">
                  <Table columnCount="0" rowCount="4"/>
                </Property>
                <Property name="toolTipText" type="java.lang.String" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
                  <Connection code="LOCAL.getString(&quot;ttip_threshold&quot;) +&quot; : &quot;+ LOCAL.getString(&quot;textfield_unknown&quot;)&#xa;" type="code"/>
                </Property>
                <Property name="componentPopupMenu" type="javax.swing.JPopupMenu" editor="org.netbeans.modules.form.ComponentChooserEditor">
                  <ComponentRef name="popupTable"/>
                </Property>
                <Property name="selectionModel" type="javax.swing.ListSelectionModel" editor="org.netbeans.modules.form.editors2.JTableSelectionModelEditor">
                  <JTableSelectionModel selectionMode="0"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="mouseClicked" listener="java.awt.event.MouseListener" parameters="java.awt.event.MouseEvent" handler="jTableExitNodesMouseClicked"/>
              </Events>
            </Component>
          </SubComponents>
        </Container>
        <Container class="javax.swing.JPanel" name="jPanelNodeInfo">
          <Properties>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.TitledBorderInfo">
                <TitledBorder title="Active Circuit">
                  <ResourceString PropertyName="titleX" bundle="resources/MessagesBundle.properties" key="panel_info" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                  <Connection PropertyName="font" component="jPanelMain" name="font" type="property"/>
                </TitledBorder>
              </Border>
            </Property>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.modules.form.editors2.FontEditor">
              <FontInfo relative="true">
                <Font bold="true" component="jPanelNodeInfo" property="font" relativeSize="true" size="0"/>
              </FontInfo>
            </Property>
          </Properties>

          <Layout>
            <DimensionLayout dim="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="jLabel10" linkSize="3" alignment="0" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabel9" linkSize="3" alignment="0" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabel8" linkSize="3" alignment="0" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabel12" linkSize="3" alignment="0" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabel5" linkSize="3" alignment="0" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace max="32767" attributes="0"/>
                      <Group type="103" groupAlignment="0" max="-2" attributes="0">
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="jLabelGuard" min="-2" max="-2" attributes="0"/>
                              <EmptySpace max="32767" attributes="0"/>
                              <Component id="jButtonGuardNodeDetails" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Component id="jLabelGuardIP" alignment="0" pref="200" max="32767" attributes="0"/>
                          <Component id="jLabelGuardCountry" alignment="0" pref="200" max="32767" attributes="0"/>
                          <Component id="jLabelGuardBw" alignment="0" pref="200" max="32767" attributes="0"/>
                          <Component id="jLabelGuardStable" alignment="0" pref="200" max="32767" attributes="0"/>
                          <Component id="jLabelGuardNick" alignment="0" pref="200" max="32767" attributes="0"/>
                      </Group>
                      <EmptySpace max="32767" attributes="0"/>
                      <Group type="103" groupAlignment="0" max="-2" attributes="0">
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="jLabel4" min="-2" max="-2" attributes="0"/>
                              <EmptySpace max="-2" attributes="0"/>
                              <Component id="jLabelTorLatency" max="32767" attributes="0"/>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="jLabelMiddle" min="-2" max="-2" attributes="0"/>
                              <EmptySpace max="32767" attributes="0"/>
                              <Component id="jButtonMiddleNodeDetails" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Component id="jLabelMiddleIP" linkSize="5" alignment="0" pref="200" max="32767" attributes="0"/>
                          <Component id="jLabelMiddleCountry" linkSize="5" alignment="0" pref="200" max="32767" attributes="0"/>
                          <Component id="jLabelMiddleBw" linkSize="5" alignment="0" pref="200" max="32767" attributes="0"/>
                          <Component id="jLabelMiddleStable" linkSize="5" pref="200" max="32767" attributes="0"/>
                          <Component id="jLabelMiddleNick" alignment="0" max="32767" attributes="0"/>
                      </Group>
                      <EmptySpace type="unrelated" max="32767" attributes="0"/>
                      <Group type="103" groupAlignment="1" max="-2" attributes="0">
                          <Component id="jLabelExitStable" linkSize="5" alignment="0" pref="200" max="32767" attributes="0"/>
                          <Component id="jLabelExitBw" linkSize="5" alignment="0" pref="200" max="32767" attributes="0"/>
                          <Component id="jLabelExitCountry" linkSize="5" alignment="0" pref="200" max="32767" attributes="0"/>
                          <Component id="jLabelExitIP" linkSize="5" alignment="0" pref="200" max="32767" attributes="0"/>
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="jLabel6" min="-2" max="-2" attributes="0"/>
                              <EmptySpace max="-2" attributes="0"/>
                              <Component id="jLabelStreams" max="32767" attributes="0"/>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="jLabelExit" min="-2" max="-2" attributes="0"/>
                              <EmptySpace max="32767" attributes="0"/>
                              <Component id="jButtonExitNodeDetails" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Component id="jLabelExitNick" linkSize="5" alignment="0" pref="200" max="32767" attributes="0"/>
                      </Group>
                      <EmptySpace max="-2" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
            <DimensionLayout dim="1">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="2" attributes="0">
                          <Component id="jLabelGuard" alignment="2" min="-2" max="-2" attributes="0"/>
                          <Component id="jButtonGuardNodeDetails" alignment="2" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabelMiddle" alignment="2" min="-2" max="-2" attributes="0"/>
                          <Component id="jButtonMiddleNodeDetails" alignment="2" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabelExit" alignment="2" min="-2" max="-2" attributes="0"/>
                          <Component id="jButtonExitNodeDetails" alignment="2" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="jLabelExitNick" linkSize="4" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                              <Component id="jLabelExitIP" linkSize="4" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                              <Component id="jLabelExitCountry" linkSize="4" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                              <Component id="jLabelExitBw" linkSize="4" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                              <Component id="jLabelExitStable" linkSize="4" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Group type="102" attributes="0">
                              <Component id="jLabelMiddleNick" linkSize="4" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                              <Component id="jLabelMiddleIP" linkSize="4" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                              <Component id="jLabelMiddleCountry" linkSize="4" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                              <Component id="jLabelMiddleBw" linkSize="4" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                              <Component id="jLabelMiddleStable" linkSize="4" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Group type="102" attributes="0">
                              <Group type="103" groupAlignment="3" attributes="0">
                                  <Component id="jLabelGuardNick" linkSize="4" alignment="3" min="-2" max="-2" attributes="0"/>
                                  <Component id="jLabel12" alignment="3" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="3" attributes="0">
                                  <Component id="jLabelGuardIP" linkSize="4" alignment="3" min="-2" max="-2" attributes="0"/>
                                  <Component id="jLabel8" alignment="3" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="3" attributes="0">
                                  <Component id="jLabel9" alignment="3" min="-2" max="-2" attributes="0"/>
                                  <Component id="jLabelGuardCountry" linkSize="4" alignment="3" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <Group type="103" groupAlignment="3" attributes="0">
                                  <Component id="jLabel5" alignment="3" min="-2" max="-2" attributes="0"/>
                                  <Component id="jLabelGuardBw" linkSize="4" alignment="3" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="3" attributes="0">
                                  <Component id="jLabelGuardStable" linkSize="4" alignment="3" min="-2" max="-2" attributes="0"/>
                                  <Component id="jLabel10" alignment="3" min="-2" max="-2" attributes="0"/>
                              </Group>
                          </Group>
                      </Group>
                      <EmptySpace type="unrelated" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="jLabelStreams" alignment="1" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabel6" alignment="1" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabelTorLatency" alignment="1" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabel4" alignment="1" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace max="-2" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
          </Layout>
          <SubComponents>
            <Component class="javax.swing.JLabel" name="jLabel5">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.modules.form.editors2.FontEditor">
                  <FontInfo relative="true">
                    <Font bold="true" component="jLabel5" property="font" relativeSize="true" size="0"/>
                  </FontInfo>
                </Property>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="label_bandwidth" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelGuardBw">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabel10">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.modules.form.editors2.FontEditor">
                  <FontInfo relative="true">
                    <Font bold="true" component="jLabel10" property="font" relativeSize="true" size="0"/>
                  </FontInfo>
                </Property>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="label_stable" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelGuardStable">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelGuard">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.modules.form.editors2.FontEditor">
                  <FontInfo relative="true">
                    <Font bold="true" component="jLabelGuard" property="font" relativeSize="true" size="0"/>
                  </FontInfo>
                </Property>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="label_guardnode" replaceFormat="LOCAL.getString(&quot;label_guard&quot;)"/>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabel8">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.modules.form.editors2.FontEditor">
                  <FontInfo relative="true">
                    <Font bold="true" component="jLabel8" property="font" relativeSize="true" size="0"/>
                  </FontInfo>
                </Property>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="label_ip" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelGuardNick">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelGuardIP">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="java.util.ResourceBundle.getBundle(&quot;{bundleNameSlashes}&quot;).getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabel9">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.modules.form.editors2.FontEditor">
                  <FontInfo relative="true">
                    <Font bold="true" component="jLabel9" property="font" relativeSize="true" size="0"/>
                  </FontInfo>
                </Property>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="label_country" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelGuardCountry">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="java.util.ResourceBundle.getBundle(&quot;{bundleNameSlashes}&quot;).getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabel12">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.modules.form.editors2.FontEditor">
                  <FontInfo relative="true">
                    <Font bold="true" component="jLabel12" property="font" relativeSize="true" size="0"/>
                  </FontInfo>
                </Property>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="label_nickname" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelExitNick">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelExitIP">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="java.util.ResourceBundle.getBundle(&quot;{bundleNameSlashes}&quot;).getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelMiddle">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.modules.form.editors2.FontEditor">
                  <FontInfo relative="true">
                    <Font bold="true" component="jLabelMiddle" property="font" relativeSize="true" size="0"/>
                  </FontInfo>
                </Property>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="label_middle" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelExit">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.modules.form.editors2.FontEditor">
                  <FontInfo relative="true">
                    <Font bold="true" component="jLabelExit" property="font" relativeSize="true" size="0"/>
                  </FontInfo>
                </Property>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="label_exit" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelMiddleNick">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="java.util.ResourceBundle.getBundle(&quot;{bundleNameSlashes}&quot;).getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelMiddleIP">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="java.util.ResourceBundle.getBundle(&quot;{bundleNameSlashes}&quot;).getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelMiddleCountry">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="java.util.ResourceBundle.getBundle(&quot;{bundleNameSlashes}&quot;).getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JButton" name="jButtonExitNodeDetails">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="button_details" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jButtonExitNodeDetailsActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="jButtonGuardNodeDetails">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="button_details" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jButtonGuardNodeDetailsActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="jButtonMiddleNodeDetails">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="button_details" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jButtonMiddleNodeDetailsActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelMiddleBw">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelExitBw">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelMiddleStable">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelExitStable">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelExitCountry">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="java.util.ResourceBundle.getBundle(&quot;{bundleNameSlashes}&quot;).getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabel4">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.modules.form.editors2.FontEditor">
                  <FontInfo relative="true">
                    <Font bold="true" component="jLabel4" property="font" relativeSize="true" size="0"/>
                  </FontInfo>
                </Property>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="label_torlatency" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelTorLatency">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabelStreams">
              <Properties>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
                    <EtchetBorder/>
                  </Border>
                </Property>
              </Properties>
            </Component>
            <Component class="javax.swing.JLabel" name="jLabel6">
              <Properties>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.modules.form.editors2.FontEditor">
                  <FontInfo relative="true">
                    <Font bold="true" component="jLabel6" property="font" relativeSize="true" size="0"/>
                  </FontInfo>
                </Property>
                <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
                  <ResourceString bundle="resources/MessagesBundle.properties" key="label_streams" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
                </Property>
              </Properties>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JButton" name="jButtonSetGuards">
          <Properties>
            <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
              <ResourceString bundle="resources/MessagesBundle.properties" key="button_setguards" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
            </Property>
            <Property name="toolTipText" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
              <ResourceString bundle="resources/MessagesBundle.properties" key="button_setguards" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jButtonSetGuardsActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabStatus">
          <Properties>
            <Property name="horizontalAlignment" type="int" value="0"/>
            <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
              <ResourceString bundle="resources/MessagesBundle.properties" key="textfield_unknown" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="jButtonClearFavs">
          <Properties>
            <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
              <ResourceString bundle="resources/MessagesBundle.properties" key="button_clearfavs" replaceFormat="LOCAL.getString(&quot;{key}&quot;)"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jButtonClearFavsActionPerformed"/>
          </Events>
        </Component>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
